Bug 13787 - libnscd configure checks missing
libnscd configure checks missing
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.10.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-13 15:20 UTC by Guenther Deschner
Modified: 2019-05-29 14:14 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.10 (1.82 KB, patch)
2019-02-13 17:20 UTC, Christof Schmitt
gd: review+
Details
patch for 4.9 (1.82 KB, patch)
2019-02-13 17:20 UTC, Christof Schmitt
gd: review+
Details
patch for 4.8 (1.82 KB, patch)
2019-02-13 17:21 UTC, Christof Schmitt
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2019-02-13 15:20:31 UTC

    
Comment 1 Christof Schmitt 2019-02-13 17:20:30 UTC
Created attachment 14842 [details]
patch for 4.10
Comment 2 Christof Schmitt 2019-02-13 17:20:45 UTC
Created attachment 14843 [details]
patch for 4.9
Comment 3 Christof Schmitt 2019-02-13 17:21:06 UTC
Created attachment 14844 [details]
patch for 4.8
Comment 4 Guenther Deschner 2019-02-13 17:22:44 UTC
Comment on attachment 14842 [details]
patch for 4.10

LGTM
Comment 5 Guenther Deschner 2019-02-13 17:22:56 UTC
Comment on attachment 14843 [details]
patch for 4.9

LGTM
Comment 6 Guenther Deschner 2019-02-13 17:23:11 UTC
Comment on attachment 14844 [details]
patch for 4.8

LGTM
Comment 7 Guenther Deschner 2019-02-13 17:23:38 UTC
Karolin, please add to 4.8,4.9 and 4.10.
Comment 8 Karolin Seeger 2019-02-21 11:30:46 UTC
(In reply to Guenther Deschner from comment #7)
Pushed to autobuild-v4-{10,9,8}-test.
Comment 9 Karolin Seeger 2019-02-22 08:43:21 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to all branches.
Closing out bug report.

Thanks!
Comment 10 Stefan Behrens 2019-05-29 14:13:55 UTC
4.10.4 and the current master fail to build on Solaris and I had to revert commit a3a9630a464979159cac2ea6783982584d3a450e "waf: Check for libnscd" in order to build.

$ make
PYTHONHASHSEED=1 WAF_MAKE=1  ./buildtools/bin/waf build
Waf: Entering directory `/...../samba/bin/default'
    Selected embedded Heimdal build
Checking project rules ...
Unknown dependency 'nscd' in 'pdb'
make: *** [all] Error 1

The configure before was like this:
JOBS=1 CFLAGS="${CFLAGS} -DSOMETHING_SPECIAL -I${INCROOT}" LDFLAGS="-L${LIBROOT} -R${LIBROOT} -lsomething_special" WAF_MAKE=1 ${PYTHON:=python} ./buildtools/bin/waf configure --prefix=$PREFIX --enable-debug --without-winbind --without-ads --without-ldap --disable-cups --disable-iprint --without-pam --without-quotas --with-sendfile-support --without-utmp --disable-avahi --with-iconv --without-acl-support --without-dnsupdate --with-syslog --without-automount --without-dmapi --without-fam --without-profiling-data --without-libarchive --without-cluster-support --without-regedit --without-fake-kaserver --disable-glusterfs --disable-cephfs --disable-spotlight --disable-fault-handling --without-systemd --without-lttng --accel-aes=none --enable-ceph-reclock --without-ad-dc --without-ntvfs-fileserver --without-json --fatal-errors